For the complete documentation index, see llms.txt. This page is also available as Markdown.

Broadcasts

Get all broadcasts

get

Get all of a workspace's broadcasts.

Responses
200

A collection of broadcasts.

application/json
idstringRequired

The ID of the broadcast.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
email_idstringRequired

The ID of the associated email.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
is_draftbooleanRequired

Whether the broadcast is a draft (has it been scheduled).

Example: false
scheduled_atstring · date-timeRequired

Timestamp of when the broadcast is scheduled to be sent.

Example: 2025-01-01T00:00:00.000Z
created_atstring · date-timeRequired

Timestamp of when the broadcast was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the broadcast was last updated.

Example: 2025-01-01T00:00:00.000Z
statusstring · enumRequired

The status of the broadcast.

Possible values:
contentobjectRequired

The content of the broadcast.

subject_linestringRequired

The email's subject line.

Example: Hello world!
preview_linestringRequired

The email's preview line.

Example: Hello world!
get/broadcasts
GET /api/v1/broadcasts HTTP/1.1
Accept: */*
[
  {
    "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
    "email_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
    "is_draft": false,
    "scheduled_at": "2025-01-01T00:00:00.000Z",
    "created_at": "2025-01-01T00:00:00.000Z",
    "updated_at": "2025-01-01T00:00:00.000Z",
    "status": "PENDING",
    "content": {},
    "subject_line": "Hello world!",
    "preview_line": "Hello world!"
  }
]

Get a broadcast

get

Get a broadcast by ID.

Path parameters
broadcastIdstringRequired

The ID of the broadcast.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

A broadcast.

application/json
idstringRequired

The ID of the broadcast.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
email_idstringRequired

The ID of the associated email.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
is_draftbooleanRequired

Whether the broadcast is a draft (has it been scheduled).

Example: false
scheduled_atstring · date-timeRequired

Timestamp of when the broadcast is scheduled to be sent.

Example: 2025-01-01T00:00:00.000Z
created_atstring · date-timeRequired

Timestamp of when the broadcast was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the broadcast was last updated.

Example: 2025-01-01T00:00:00.000Z
statusstring · enumRequired

The status of the broadcast.

Possible values:
contentobjectRequired

The content of the broadcast.

subject_linestringRequired

The email's subject line.

Example: Hello world!
preview_linestringRequired

The email's preview line.

Example: Hello world!
get/broadcasts/{broadcastId}
GET /api/v1/broadcasts/{broadcastId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "email_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "is_draft": false,
  "scheduled_at": "2025-01-01T00:00:00.000Z",
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z",
  "status": "PENDING",
  "content": {},
  "subject_line": "Hello world!",
  "preview_line": "Hello world!"
}

Last updated